List candidate interviews
curl --request GET \
--url https://turing.gomu.ai/api/v1/integrations/candidates/interviews \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://turing.gomu.ai/api/v1/integrations/candidates/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://turing.gomu.ai/api/v1/integrations/candidates/interviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"pageIndex": 1,
"pageSize": 100,
"total": 6338,
"results": [
{
"interview_id": "4eb9f086-f9ce-4da8-925c-32f6b6baz44c_3173e43c-4066-48ce-a657-e505608b9b74",
"candidate_id": "3173e43c-4066-48ce-1657-e505608b9b74",
"iframe_url": "https://turing.qode.world/interview/1ubRv",
"expires_at": "2025-12-07T15:34:37.464Z",
"email": "example@gmail.com",
"talent_id": "TUR-001",
"completion_status": "SCHEDULED",
"session_id": "4e9e55ee-63f3-4c04-87ec-82a1823a538d"
}
]
}Integration API
List candidate interviews
Returns a paginated list of candidate interviews with optional filtering by type.
GET
/
integrations
/
candidates
/
interviews
List candidate interviews
curl --request GET \
--url https://turing.gomu.ai/api/v1/integrations/candidates/interviews \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://turing.gomu.ai/api/v1/integrations/candidates/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://turing.gomu.ai/api/v1/integrations/candidates/interviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"pageIndex": 1,
"pageSize": 100,
"total": 6338,
"results": [
{
"interview_id": "4eb9f086-f9ce-4da8-925c-32f6b6baz44c_3173e43c-4066-48ce-a657-e505608b9b74",
"candidate_id": "3173e43c-4066-48ce-1657-e505608b9b74",
"iframe_url": "https://turing.qode.world/interview/1ubRv",
"expires_at": "2025-12-07T15:34:37.464Z",
"email": "example@gmail.com",
"talent_id": "TUR-001",
"completion_status": "SCHEDULED",
"session_id": "4e9e55ee-63f3-4c04-87ec-82a1823a538d"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, starting from 1
Required range:
x >= 1Example:
1
Number of items per page (1–100)
Required range:
1 <= x <= 100Example:
100
Sort order
Available options:
asc, desc Example:
"asc"
Filter interviews by type (STEM, NON_STEM, SOFTWARE_ENGINEER, DOCKER_INTERVIEW, DATA_SCIENTIST)
Available options:
STEM, NON_STEM, SOFTWARE_ENGINEER, DOCKER_INTERVIEW, DATA_SCIENTIST, SENIOR_STAFF_ML Example:
"STEM"
Filter interviews by talent ID. Returns only interviews created with the specified talent_id.
Example:
"TUR-001"
Was this page helpful?